#include <SoftwareSerial.h>

//Variabile per la scheda Bluetooth
SoftwareSerial bt(0, 1); // RX | TX
//Variabile per leggere i dati ricevuti dal bluetooth
char val;

void setup() {
    //Motore sinistra
   pinMode(11,OUTPUT);
  pinMode(10,OUTPUT);
  //Motore destra
  pinMode(9,OUTPUT);
  pinMode(8,OUTPUT);
  //Acceleratore sinistro
  pinMode(12,OUTPUT);
  //Acceleratore destro
  pinMode(7,OUTPUT);
  //Impostiamo il baude Rate
  Serial.begin(9600);
  bt.begin(9600);  
  Serial.println("Disponibile per la connessione");
}

void loop() {
  //Ci manteniamo in ascolto continuo di dati provenienti dal modulo bluetooth
  if (bt.available()){
    val=bt.read();
    if (val=='1'){
      //Andiamo avanti
      //Attivo entrambi gli acceleratori e imposto i controlli sui motori per farli ruotare in avanti
      digitalWrite(8,HIGH);
      digitalWrite(9,LOW);
      analogWrite(12,200);
    
      digitalWrite(6,HIGH);
      digitalWrite(5,LOW);
      analogWrite(7,200);
    }
    else if (val=='0'){
      //Stop
       //Forzo i controlli sui motori a spento e faccio altrettanto per i due acceleratori
        digitalWrite(8,LOW);
        digitalWrite(9,LOW);
        analogWrite(12,0);
      
        digitalWrite(6,LOW);
        digitalWrite(5,LOW);
        analogWrite(7,0);
      
    }
    else if (val=='2'){
      //Sterzata destra
      //Ruote destre indietro, ruote sinistra avanti
     digitalWrite(8,LOW);
      digitalWrite(9,HIGH);
       analogWrite(12,200);
       
      digitalWrite(6,HIGH);
      digitalWrite(5,LOW);
      analogWrite(7,200);
    }
    else if (val=='3'){
      //Sterzata sinistra
      //Ruote destre avanti, ruote sinistra indietro
      digitalWrite(8,HIGH);
      digitalWrite(9,LOW);
       analogWrite(12,200);
       
      digitalWrite(6,LOW);
      digitalWrite(5,HIGH);
      analogWrite(7,200);
    }
   
    
    
  }

}
